DistributedSystemHealthConfig (Apache Geode 1.15.4)

org.apache.geode.admin

## Interface DistributedSystemHealthConfig

- Deprecated.
  as of 7.0 use the `management` package instead

      @Deprecated
      public interface DistributedSystemHealthConfig

  Provides configuration information relating to the health of an entire GemFire distributed system.

  If any of the following criteria is true, then the distributed system is considered to be in `OKAY_HEALTH`. If any of the following criteria is true, then the distributed system is considered to be in `POOR_HEALTH`.

  - Too many application members unexpectedly leave the distributed system.
  - Too many application members unexpectedly leave the distributed system.
  Since:
    GemFire 3.5

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_MAX_DEPARTED_APPLICATIONS` Deprecated. The default maximum number of application members that can unexceptedly leave a healthy the distributed system.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getMaxDepartedApplications()` Deprecated. Returns the maximum number of application members that can unexceptedly leave a healthy the distributed system.
    `void` | `setMaxDepartedApplications(long maxDepartedApplications)` Deprecated. Sets the maximum number of application members that can unexceptedly leave a healthy the distributed system.

- - ### Field Detail

    - #### DEFAULT_MAX_DEPARTED_APPLICATIONS

          static final long DEFAULT_MAX_DEPARTED_APPLICATIONS

      Deprecated.
      The default maximum number of application members that can unexceptedly leave a healthy the distributed system.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getMaxDepartedApplications

          long getMaxDepartedApplications()

      Deprecated.
      Returns the maximum number of application members that can unexceptedly leave a healthy the distributed system.
      Returns:
        the maximum number of application members that can unexceptedly leave a healthy the distributed system
      See Also:
        `DEFAULT_MAX_DEPARTED_APPLICATIONS`

    - #### setMaxDepartedApplications

          void setMaxDepartedApplications(long maxDepartedApplications)

      Deprecated.
      Sets the maximum number of application members that can unexceptedly leave a healthy the distributed system.
      Parameters:
        `maxDepartedApplications` - the maximum number of application members that can unexceptedly leave a healthy the distributed system
      See Also:
        `getMaxDepartedApplications()`